All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.logging.util
Class LoggerMonitor

    com.sas.services.logging.util.LoggerMonitor

Deprecated. As of 9.3, replace with direct use of log4j.

    @Deprecated
    public class LoggerMonitor

LoggerMonitor - convenience class, used to format and output log messages destined for the Application Monitor. Typically a `LoggerInterface` object is obtained from the `LoggingServiceInterface`, and that LoggerInterface object is passed to the `constructor` for this class. The LoggerMonitor.log() methods are then used to output messages. Each of the log() methods takes a number of name/value pairs as parameters, and provides the required formatting for an Application Monitor log message. Additionally, one `log` method is available that takes a String array as a parameter, to handle the case where more than 12 name/value pairs are in the ApplicationMonitor message.

See Also:
  Logging Service Documentation

Constructor Summary
`LoggerMonitor(LoggerInterface log)` Deprecated. Constructor.

Method Summary
`static java.lang.String` | `createLogMessage(java.lang.String[] args)` Deprecated. Formats a message which can be logged for consumption by a monitor.
`boolean` | `isLoggingEnabled()` Deprecated. Determine if system monitor logging is enabled for this logger.
`void` | `log(java.lang.String[] args)` Deprecated. Log a message for the Application Monitor.
`void` | `log(java.lang.String name, java.lang.String value)` Deprecated. Log a message for the Application Monitor.
`void` | `log(java.lang.String name0, java.lang.String value0, java.lang.String name1, java.lang.String value1)` Deprecated. Log a message for the Application Monitor.
`void` | `log(java.lang.String name0, java.lang.String value0, java.lang.String name1, java.lang.String value1, java.lang.String name2, java.lang.String value2)` Deprecated. Log a message for the Application Monitor.
`void` | `log(java.lang.String name0, java.lang.String value0, java.lang.String name1, java.lang.String value1, java.lang.String name2, java.lang.String value2, java.lang.String name3, java.lang.String value3)` Deprecated. Log a message for the Application Monitor.
`void` | `log(java.lang.String name0, java.lang.String value0, java.lang.String name1, java.lang.String value1, java.lang.String name2, java.lang.String value2, java.lang.String name3, java.lang.String value3, java.lang.String name4, java.lang.String value4)` Deprecated. Log a message for the Application Monitor.
`void` | `log(java.lang.String name0, java.lang.String value0, java.lang.String name1, java.lang.String value1, java.lang.String name2, java.lang.String value2, java.lang.String name3, java.lang.String value3, java.lang.String name4, java.lang.String value4, java.lang.String name5, java.lang.String value5)` Deprecated. Log a message for the Application Monitor.
`void` | `log(java.lang.String name0, java.lang.String value0, java.lang.String name1, java.lang.String value1, java.lang.String name2, java.lang.String value2, java.lang.String name3, java.lang.String value3, java.lang.String name4, java.lang.String value4, java.lang.String name5, java.lang.String value5, java.lang.String name6, java.lang.String value6)` Deprecated. Log a message for the Application Monitor.
`void` | `log(java.lang.String name0, java.lang.String value0, java.lang.String name1, java.lang.String value1, java.lang.String name2, java.lang.String value2, java.lang.String name3, java.lang.String value3, java.lang.String name4, java.lang.String value4, java.lang.String name5, java.lang.String value5, java.lang.String name6, java.lang.String value6, java.lang.String name7, java.lang.String value7)` Deprecated. Log a message for the Application Monitor.
`void` | `log(java.lang.String name0, java.lang.String value0, java.lang.String name1, java.lang.String value1, java.lang.String name2, java.lang.String value2, java.lang.String name3, java.lang.String value3, java.lang.String name4, java.lang.String value4, java.lang.String name5, java.lang.String value5, java.lang.String name6, java.lang.String value6, java.lang.String name7, java.lang.String value7, java.lang.String name8, java.lang.String value8)` Deprecated. Log a message for the Application Monitor.
`void` | `log(java.lang.String name0, java.lang.String value0, java.lang.String name1, java.lang.String value1, java.lang.String name2, java.lang.String value2, java.lang.String name3, java.lang.String value3, java.lang.String name4, java.lang.String value4, java.lang.String name5, java.lang.String value5, java.lang.String name6, java.lang.String value6, java.lang.String name7, java.lang.String value7, java.lang.String name8, java.lang.String value8, java.lang.String name9, java.lang.String value9)` Deprecated. Log a message for the Application Monitor.
`void` | `log(java.lang.String name0, java.lang.String value0, java.lang.String name1, java.lang.String value1, java.lang.String name2, java.lang.String value2, java.lang.String name3, java.lang.String value3, java.lang.String name4, java.lang.String value4, java.lang.String name5, java.lang.String value5, java.lang.String name6, java.lang.String value6, java.lang.String name7, java.lang.String value7, java.lang.String name8, java.lang.String value8, java.lang.String name9, java.lang.String value9, java.lang.String name10, java.lang.String value10)` Deprecated. Log a message for the Application Monitor.
`void` | `log(java.lang.String name0, java.lang.String value0, java.lang.String name1, java.lang.String value1, java.lang.String name2, java.lang.String value2, java.lang.String name3, java.lang.String value3, java.lang.String name4, java.lang.String value4, java.lang.String name5, java.lang.String value5, java.lang.String name6, java.lang.String value6, java.lang.String name7, java.lang.String value7, java.lang.String name8, java.lang.String value8, java.lang.String name9, java.lang.String value9, java.lang.String name10, java.lang.String value10, java.lang.String name11, java.lang.String value11)` Deprecated. Log a message for the Application Monitor.
`void` | `log(java.lang.String name0, java.lang.String value0, java.lang.String name1, java.lang.String value1, java.lang.String name2, java.lang.String value2, java.lang.String name3, java.lang.String value3, java.lang.String name4, java.lang.String value4, java.lang.String name5, java.lang.String value5, java.lang.String name6, java.lang.String value6, java.lang.String name7, java.lang.String value7, java.lang.String name8, java.lang.String value8, java.lang.String name9, java.lang.String value9, java.lang.String name10, java.lang.String value10, java.lang.String name11, java.lang.String value11, java.lang.String name12, java.lang.String value12)` Deprecated. Log a message for the Application Monitor.

Constructor Detail

### LoggerMonitor

    public LoggerMonitor(LoggerInterface log)

  Deprecated.
  Constructor.

  Parameters:
    `log` - a `LoggerInterface` object that messages will be logged on.

Method Detail

### log

    public void log(java.lang.String[] args)

  Deprecated.
  Log a message for the Application Monitor. Array element args[0] will be the first name, args[1] will be the first value, arg[2] will be the second name...and so on. An even number must be supplied. String elements should not contain any quote marks.

  Parameters:
    `args` - array of name/value pairs for the monitor message.

### createLogMessage

    public static final java.lang.String createLogMessage(java.lang.String[] args)
                                                   throws java.lang.IllegalArgumentException

  Deprecated.
  Formats a message which can be logged for consumption by a monitor.

  Parameters:
    `args` - Array of name/value pairs for the monitor message.
  Returns:
    Formatted message.
  Throws:
    `java.lang.IllegalArgumentException` - if a `null` array or an array with an odd number of elements is specified.

### log

    public void log(java.lang.String name,
                    java.lang.String value)

  Deprecated.
  Log a message for the Application Monitor. Parameters should not contain any quote marks.

  Parameters:
    `name` - name of a name/value pair.
    `value` - value of a name/value pair.

### log

    public void log(java.lang.String name0,
                    java.lang.String value0,
                    java.lang.String name1,
                    java.lang.String value1)

  Deprecated.
  Log a message for the Application Monitor. Parameters should not contain any quote marks.

  Parameters:
    `name0` - Name of the first name/value pair.
    `value0` - Value of the first name/value pair.
    `name1` - Name of the second name/value pair.
    `value1` - Value of the second name/value pair.

### log

    public void log(java.lang.String name0,
                    java.lang.String value0,
                    java.lang.String name1,
                    java.lang.String value1,
                    java.lang.String name2,
                    java.lang.String value2)

  Deprecated.
  Log a message for the Application Monitor. Parameters should not contain any quote marks.

  Parameters:
    `name0` - Name of the first name/value pair.
    `value0` - Value of the first name/value pair.
    `name1` - Name of the second name/value pair.
    `value1` - Value of the second name/value pair.
    `name2` - Name of the third name/value pair.
    `value2` - Value of the third name/value pair.

### log

    public void log(java.lang.String name0,
                    java.lang.String value0,
                    java.lang.String name1,
                    java.lang.String value1,
                    java.lang.String name2,
                    java.lang.String value2,
                    java.lang.String name3,
                    java.lang.String value3)

  Deprecated.
  Log a message for the Application Monitor. Parameters should not contain any quote marks.

  Parameters:
    `name0` - Name of the first name/value pair.
    `value0` - Value of the first name/value pair.
    `name1` - Name of the second name/value pair.
    `value1` - Value of the second name/value pair.
    `name2` - Name of the third name/value pair.
    `value2` - Value of the third name/value pair.
    `name3` - Name of the fourth name/value pair.
    `value3` - Value of the fourth name/value pair.

### log

    public void log(java.lang.String name0,
                    java.lang.String value0,
                    java.lang.String name1,
                    java.lang.String value1,
                    java.lang.String name2,
                    java.lang.String value2,
                    java.lang.String name3,
                    java.lang.String value3,
                    java.lang.String name4,
                    java.lang.String value4)

  Deprecated.
  Log a message for the Application Monitor. Parameters should not contain any quote marks.

  Parameters:
    `name0` - Name of the first name/value pair.
    `value0` - Value of the first name/value pair.
    `name1` - Name of the second name/value pair.
    `value1` - Value of the second name/value pair.
    `name2` - Name of the third name/value pair.
    `value2` - Value of the third name/value pair.
    `name3` - Name of the fourth name/value pair.
    `value3` - Value of the fourth name/value pair.
    `name4` - Name of the fifth name/value pair.
    `value4` - Value of the fifth name/value pair.

### log

    public void log(java.lang.String name0,
                    java.lang.String value0,
                    java.lang.String name1,
                    java.lang.String value1,
                    java.lang.String name2,
                    java.lang.String value2,
                    java.lang.String name3,
                    java.lang.String value3,
                    java.lang.String name4,
                    java.lang.String value4,
                    java.lang.String name5,
                    java.lang.String value5)

  Deprecated.
  Log a message for the Application Monitor. Parameters should not contain any quote marks.

  Parameters:
    `name0` - Name of the first name/value pair.
    `value0` - Value of the first name/value pair.
    `name1` - Name of the second name/value pair.
    `value1` - Value of the second name/value pair.
    `name2` - Name of the third name/value pair.
    `value2` - Value of the third name/value pair.
    `name3` - Name of the fourth name/value pair.
    `value3` - Value of the fourth name/value pair.
    `name4` - Name of the fifth name/value pair.
    `value4` - Value of the fifth name/value pair.
    `name5` - Name of the sixth name/value pair.
    `value5` - Value of the sixth name/value pair.

### log

    public void log(java.lang.String name0,
                    java.lang.String value0,
                    java.lang.String name1,
                    java.lang.String value1,
                    java.lang.String name2,
                    java.lang.String value2,
                    java.lang.String name3,
                    java.lang.String value3,
                    java.lang.String name4,
                    java.lang.String value4,
                    java.lang.String name5,
                    java.lang.String value5,
                    java.lang.String name6,
                    java.lang.String value6)

  Deprecated.
  Log a message for the Application Monitor. Parameters should not contain any quote marks.

  Parameters:
    `name0` - Name of the first name/value pair.
    `value0` - Value of the first name/value pair.
    `name1` - Name of the second name/value pair.
    `value1` - Value of the second name/value pair.
    `name2` - Name of the third name/value pair.
    `value2` - Value of the third name/value pair.
    `name3` - Name of the fourth name/value pair.
    `value3` - Value of the fourth name/value pair.
    `name4` - Name of the fifth name/value pair.
    `value4` - Value of the fifth name/value pair.
    `name5` - Name of the sixth name/value pair.
    `value5` - Value of the sixth name/value pair.
    `name6` - Name of the seventh name/value pair.
    `value6` - Value of the seventh name/value pair.

### log

    public void log(java.lang.String name0,
                    java.lang.String value0,
                    java.lang.String name1,
                    java.lang.String value1,
                    java.lang.String name2,
                    java.lang.String value2,
                    java.lang.String name3,
                    java.lang.String value3,
                    java.lang.String name4,
                    java.lang.String value4,
                    java.lang.String name5,
                    java.lang.String value5,
                    java.lang.String name6,
                    java.lang.String value6,
                    java.lang.String name7,
                    java.lang.String value7)

  Deprecated.
  Log a message for the Application Monitor. Parameters should not contain any quote marks.

  Parameters:
    `name0` - Name of the first name/value pair.
    `value0` - Value of the first name/value pair.
    `name1` - Name of the second name/value pair.
    `value1` - Value of the second name/value pair.
    `name2` - Name of the third name/value pair.
    `value2` - Value of the third name/value pair.
    `name3` - Name of the fourth name/value pair.
    `value3` - Value of the fourth name/value pair.
    `name4` - Name of the fifth name/value pair.
    `value4` - Value of the fifth name/value pair.
    `name5` - Name of the sixth name/value pair.
    `value5` - Value of the sixth name/value pair.
    `name6` - Name of the seventh name/value pair.
    `value6` - Value of the seventh name/value pair.
    `name7` - Name of the eighth name/value pair.
    `value7` - Value of the eighth name/value pair.

### log

    public void log(java.lang.String name0,
                    java.lang.String value0,
                    java.lang.String name1,
                    java.lang.String value1,
                    java.lang.String name2,
                    java.lang.String value2,
                    java.lang.String name3,
                    java.lang.String value3,
                    java.lang.String name4,
                    java.lang.String value4,
                    java.lang.String name5,
                    java.lang.String value5,
                    java.lang.String name6,
                    java.lang.String value6,
                    java.lang.String name7,
                    java.lang.String value7,
                    java.lang.String name8,
                    java.lang.String value8)

  Deprecated.
  Log a message for the Application Monitor. Parameters should not contain any quote marks.

  Parameters:
    `name0` - Name of the first name/value pair.
    `value0` - Value of the first name/value pair.
    `name1` - Name of the second name/value pair.
    `value1` - Value of the second name/value pair.
    `name2` - Name of the third name/value pair.
    `value2` - Value of the third name/value pair.
    `name3` - Name of the fourth name/value pair.
    `value3` - Value of the fourth name/value pair.
    `name4` - Name of the fifth name/value pair.
    `value4` - Value of the fifth name/value pair.
    `name5` - Name of the sixth name/value pair.
    `value5` - Value of the sixth name/value pair.
    `name6` - Name of the seventh name/value pair.
    `value6` - Value of the seventh name/value pair.
    `name7` - Name of the eighth name/value pair.
    `value7` - Value of the eighth name/value pair.
    `name8` - Name of the ninth name/value pair.
    `value8` - Value of the ninth name/value pair.

### log

    public void log(java.lang.String name0,
                    java.lang.String value0,
                    java.lang.String name1,
                    java.lang.String value1,
                    java.lang.String name2,
                    java.lang.String value2,
                    java.lang.String name3,
                    java.lang.String value3,
                    java.lang.String name4,
                    java.lang.String value4,
                    java.lang.String name5,
                    java.lang.String value5,
                    java.lang.String name6,
                    java.lang.String value6,
                    java.lang.String name7,
                    java.lang.String value7,
                    java.lang.String name8,
                    java.lang.String value8,
                    java.lang.String name9,
                    java.lang.String value9)

  Deprecated.
  Log a message for the Application Monitor. Parameters should not contain any quote marks.

  Parameters:
    `name0` - Name of the first name/value pair.
    `value0` - Value of the first name/value pair.
    `name1` - Name of the second name/value pair.
    `value1` - Value of the second name/value pair.
    `name2` - Name of the third name/value pair.
    `value2` - Value of the third name/value pair.
    `name3` - Name of the fourth name/value pair.
    `value3` - Value of the fourth name/value pair.
    `name4` - Name of the fifth name/value pair.
    `value4` - Value of the fifth name/value pair.
    `name5` - Name of the sixth name/value pair.
    `value5` - Value of the sixth name/value pair.
    `name6` - Name of the seventh name/value pair.
    `value6` - Value of the seventh name/value pair.
    `name7` - Name of the eighth name/value pair.
    `value7` - Value of the eighth name/value pair.
    `name8` - Name of the ninth name/value pair.
    `value8` - Value of the ninth name/value pair.
    `name9` - Name of the tenth name/value pair.
    `value9` - Value of the tenth name/value pair.

### log

    public void log(java.lang.String name0,
                    java.lang.String value0,
                    java.lang.String name1,
                    java.lang.String value1,
                    java.lang.String name2,
                    java.lang.String value2,
                    java.lang.String name3,
                    java.lang.String value3,
                    java.lang.String name4,
                    java.lang.String value4,
                    java.lang.String name5,
                    java.lang.String value5,
                    java.lang.String name6,
                    java.lang.String value6,
                    java.lang.String name7,
                    java.lang.String value7,
                    java.lang.String name8,
                    java.lang.String value8,
                    java.lang.String name9,
                    java.lang.String value9,
                    java.lang.String name10,
                    java.lang.String value10)

  Deprecated.
  Log a message for the Application Monitor. Parameters should not contain any quote marks.

  Parameters:
    `name0` - Name of the first name/value pair.
    `value0` - Value of the first name/value pair.
    `name1` - Name of the second name/value pair.
    `value1` - Value of the second name/value pair.
    `name2` - Name of the third name/value pair.
    `value2` - Value of the third name/value pair.
    `name3` - Name of the fourth name/value pair.
    `value3` - Value of the fourth name/value pair.
    `name4` - Name of the fifth name/value pair.
    `value4` - Value of the fifth name/value pair.
    `name5` - Name of the sixth name/value pair.
    `value5` - Value of the sixth name/value pair.
    `name6` - Name of the seventh name/value pair.
    `value6` - Value of the seventh name/value pair.
    `name7` - Name of the eighth name/value pair.
    `value7` - Value of the eighth name/value pair.
    `name8` - Name of the ninth name/value pair.
    `value8` - Value of the ninth name/value pair.
    `name9` - Name of the tenth name/value pair.
    `value9` - Value of the tenth name/value pair.
    `name10` - Name of the eleventh name/value pair.
    `value10` - Value of the eleventh name/value pair.

### log

    public void log(java.lang.String name0,
                    java.lang.String value0,
                    java.lang.String name1,
                    java.lang.String value1,
                    java.lang.String name2,
                    java.lang.String value2,
                    java.lang.String name3,
                    java.lang.String value3,
                    java.lang.String name4,
                    java.lang.String value4,
                    java.lang.String name5,
                    java.lang.String value5,
                    java.lang.String name6,
                    java.lang.String value6,
                    java.lang.String name7,
                    java.lang.String value7,
                    java.lang.String name8,
                    java.lang.String value8,
                    java.lang.String name9,
                    java.lang.String value9,
                    java.lang.String name10,
                    java.lang.String value10,
                    java.lang.String name11,
                    java.lang.String value11)

  Deprecated.
  Log a message for the Application Monitor. Parameters should not contain any quote marks.

  Parameters:
    `name0` - Name of the first name/value pair.
    `value0` - Value of the first name/value pair.
    `name1` - Name of the second name/value pair.
    `value1` - Value of the second name/value pair.
    `name2` - Name of the third name/value pair.
    `value2` - Value of the third name/value pair.
    `name3` - Name of the fourth name/value pair.
    `value3` - Value of the fourth name/value pair.
    `name4` - Name of the fifth name/value pair.
    `value4` - Value of the fifth name/value pair.
    `name5` - Name of the sixth name/value pair.
    `value5` - Value of the sixth name/value pair.
    `name6` - Name of the seventh name/value pair.
    `value6` - Value of the seventh name/value pair.
    `name7` - Name of the eighth name/value pair.
    `value7` - Value of the eighth name/value pair.
    `name8` - Name of the ninth name/value pair.
    `value8` - Value of the ninth name/value pair.
    `name9` - Name of the tenth name/value pair.
    `value9` - Value of the tenth name/value pair.
    `name10` - Name of the eleventh name/value pair.
    `value10` - Value of the eleventh name/value pair.
    `name11` - Name of the twelth name/value pair.
    `value11` - Value of the twelth name/value pair.

### log

    public void log(java.lang.String name0,
                    java.lang.String value0,
                    java.lang.String name1,
                    java.lang.String value1,
                    java.lang.String name2,
                    java.lang.String value2,
                    java.lang.String name3,
                    java.lang.String value3,
                    java.lang.String name4,
                    java.lang.String value4,
                    java.lang.String name5,
                    java.lang.String value5,
                    java.lang.String name6,
                    java.lang.String value6,
                    java.lang.String name7,
                    java.lang.String value7,
                    java.lang.String name8,
                    java.lang.String value8,
                    java.lang.String name9,
                    java.lang.String value9,
                    java.lang.String name10,
                    java.lang.String value10,
                    java.lang.String name11,
                    java.lang.String value11,
                    java.lang.String name12,
                    java.lang.String value12)

  Deprecated.
  Log a message for the Application Monitor. Parameters should not contain any quote marks.

  Parameters:
    `name0` - Name of the first name/value pair.
    `value0` - Value of the first name/value pair.
    `name1` - Name of the second name/value pair.
    `value1` - Value of the second name/value pair.
    `name2` - Name of the third name/value pair.
    `value2` - Value of the third name/value pair.
    `name3` - Name of the fourth name/value pair.
    `value3` - Value of the fourth name/value pair.
    `name4` - Name of the fifth name/value pair.
    `value4` - Value of the fifth name/value pair.
    `name5` - Name of the sixth name/value pair.
    `value5` - Value of the sixth name/value pair.
    `name6` - Name of the seventh name/value pair.
    `value6` - Value of the seventh name/value pair.
    `name7` - Name of the eighth name/value pair.
    `value7` - Value of the eighth name/value pair.
    `name8` - Name of the ninth name/value pair.
    `value8` - Value of the ninth name/value pair.
    `name9` - Name of the tenth name/value pair.
    `value9` - Value of the tenth name/value pair.
    `name10` - Name of the eleventh name/value pair.
    `value10` - Value of the eleventh name/value pair.
    `name11` - Name of the twelth name/value pair.
    `value11` - Value of the twelth name/value pair.
    `name12` - Name of the thirteenth name/value pair.
    `value12` - Value of the thirteenth name/value pair.

### isLoggingEnabled

    public boolean isLoggingEnabled()

  Deprecated.
  Determine if system monitor logging is enabled for this logger.

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.